/*
 * (C) 2010-2011 Florian Westphal <fw@strlen.de>
 *
 *      This program is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 2 of the License, or
 *      (at your option) any later version.
 */
#include <stdbool.h>
#include <stdint.h>
#include <time.h>

#include "ct_entry.h"

struct ctt_opts {
	struct timespec delay;	/* screen refresh timer period */
	unsigned int iterations;
	unsigned int max_lines;
	bool batch_mode;
	struct {
		uint8_t family;
		uint32_t ctmark;
		uint32_t ctmask;
		char *bsf_str;
	} ct_event_filter;
	uint32_t ctmark_group_mask;
	bool batch_group_display_cycle;
	bool batch_group_display[GROUP_MAX];
	bool reverse_dns;
};

extern const struct ctt_opts *cttop_options;

void cttop_options_toggle_dns(void);

int cttop_parse_options(int argc, char *argv[]);
