/*
 * (C) 2011 Florian Westphal <fw@strlen.de>
 *
 *      This program is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 2 of the License, or
 *      (at your option) any later version.
 */

#ifndef DNS_CACHE_HDR_
#define DNS_CACHE_HDR_ 1

#include "build-aux/config.h"
#ifdef WITH_DNS

#include <stdint.h>

const char *dnscache_query(int af, const uint32_t *ipaddr);

void dnscache_dispatch(void);
int dnscache_init(void);
#else
static inline const char *dnscache_query(int a, const uint32_t *i)
{
	(void)a;
	(void)i;
	return NULL;
}
static inline void dnscache_dispatch(void) { }
static inline int dnscache_init(void) { return -1; }
#endif
#endif
